<%-- 
	Copyright (C) 2011 Nicklas Nordborg

	This file is part of the Example Code Package for BASE.
	Available at http://baseplugins.thep.lu.se/
	BASE main site: http://base.thep.lu.se/
	
	This is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 3
	of the License, or (at your option) any later version.
	
	The software is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with BASE. If not, see <http://www.gnu.org/licenses/>.
--%>
<%@ page 
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.BasicItem"
	import="net.sf.basedb.core.ItemContext"
	import="net.sf.basedb.core.Item"
	import="net.sf.basedb.core.AnyToAny"
	import="net.sf.basedb.core.File"
	import="net.sf.basedb.core.ItemNotFoundException"
	import="net.sf.basedb.core.PermissionDeniedException"
	import="net.sf.basedb.util.extensions.Extension"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.JspContext"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%
// Get the JspContext that was created on the main edit page
final JspContext jspContext = (JspContext)request.getAttribute(JspContext.ATTRIBUTE_KEY);
final Extension extension = (Extension)request.getAttribute(JspContext.EXTENSION_KEY);

// The current item is found in the context. NOTE! Can be null if a new item
final BasicItem item = (BasicItem)jspContext.getCurrentItem();

// Get the DbControl and SessionControl used to handle the request (do not close!)
final DbControl dc = jspContext.getDbControl();
final SessionControl sc = dc.getSessionControl();
final String ID = sc.getId();

AnyToAny any = null;

// Try to get the currently attached history file
File currentFile = null;
boolean readCurrentFile = true;
if (item != null)
{
	try
	{
		any = AnyToAny.getByName(dc, item, "history-file");
		if (any != null && any.getToType() == Item.FILE)
		{
			currentFile = (File)any.getTo();
		}
	}
	catch (ItemNotFoundException ex)
	{} // There is no file 
	catch (PermissionDeniedException ex)
	{
		// There is a file but the user doesn't have permission to it
		readCurrentFile = false;
	}
}

String HOME = jspContext.getHome(extension);
%>
<base:page type="include">
	<base:head scripts="<%=HOME + "/scripts/history-file.js"%>" />
	<base:body>
		<table class="fullform input100">
		<tr>
			<th>History file</th>
			<td>
				<base:select 
					id="history_file_id"
					clazz="selectionlist"
					required="false"
					current="<%=currentFile%>"
					denied="<%=!readCurrentFile%>"
					newitem="<%=item == null%>"
				/>
			</td>
			<td></td>
		</tr>
		<tr class="dynamic">
			<th>Description</th>
			<td>
				<textarea class="text" rows="6" name="history_description" id="history_description"
					><%=HTML.encodeTags(any == null ? "" : any.getDescription())%></textarea>
			</td>
			<td style="width: 20px;">
				<base:zoom textarea="history_description" title="Description" />
			</td>
		</tr>
		</table>
	</base:body>
</base:page>

