/*
	Copyright (C) 2016 Nicklas Nordborg

	This file is part of the Example Code Package for BASE.
	Available at http://baseplugins.thep.lu.se/
	BASE main site: http://base.thep.lu.se/
	
	This is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 3
	of the License, or (at your option) any later version.
	
	The software is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with BASE. If not, see <http://www.gnu.org/licenses/>.
*/
package net.sf.basedb.examples.extensions.custom;

import net.sf.basedb.examples.extensions.servlet.ListExampleActions;
import net.sf.basedb.util.extensions.Action;

/**
	An example action that is used by the 
	"net.sf.basedb.examples.extensions.custom-extension-point" 
	extension point. The action is very simple doesn't really do
	anything except that being listed by the {@link ListExampleActions}
	servlet.
	<p>
	To test the extension point the {@link ExampleActionFactory} can
	be used, but it should also be possible to use a custom factory
	and action implementation.
	
	@author nicklas
	@since 1.8
*/
public interface ExampleAction 
	extends Action 
{
	/**
		Get the name of the action.
	*/
	public String getName();
}
