/*
	Copyright (C) 2012 Nicklas Nordborg

	This file is part of the Example Code Package for BASE.
	Available at http://baseplugins.thep.lu.se/
	BASE main site: http://base.thep.lu.se/
	
	This is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 3
	of the License, or (at your option) any later version.
	
	The software is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with BASE. If not, see <http://www.gnu.org/licenses/>.
*/
package net.sf.basedb.examples.formatter;

import net.sf.basedb.util.formatter.Formatter;

/**
	A formatter implementation that convert string values to upper case.
	
	@author nicklas
	@since 1.5
*/
public class ToUpperCaseFormatter 
	implements Formatter<String> 
{

	public ToUpperCaseFormatter()
	{}
	
	/*
		From the Formatter interface
		----------------------------
	*/
	@Override
	public String format(String value) 
	{
		return value == null ? "" : value.toUpperCase();
	}

	@Override
	public String parseString(String value) 
	{
		return value;
	}
	// --------------------------------
}
